org.apache.sysds.runtime.instructions.spark.functions

## Class CopyMatrixBlockPairFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.CopyMatrixBlockPairFunction

- All Implemented Interfaces:
    Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>,MatrixIndexes,MatrixBlock>

      public class CopyMatrixBlockPairFunction
      extends Object
      implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>,MatrixIndexes,MatrixBlock>

  General purpose copy function for binary block rdds. This function can be used in mapToPair (copy matrix indexes and blocks). It supports both deep and shallow copies of key/value pairs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyMatrixBlockPairFunction()`
    `CopyMatrixBlockPairFunction(boolean deepCopy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LazyIterableIterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>` | `call(Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> arg0)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyMatrixBlockPairFunction

          public CopyMatrixBlockPairFunction()

    - #### CopyMatrixBlockPairFunction

          public CopyMatrixBlockPairFunction(boolean deepCopy)

  - ### Method Detail

    - #### call

          public LazyIterableIterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> call(Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> arg0)
                                                                             throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>,MatrixIndexes,MatrixBlock>`
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.